
Figure - Bug #115097
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT2】【ST】【Tlog】/data/tlog_package/ 日志打包大小根据设计书最大为10M，但是实际情况达到
几百M
2023-01-05 16:55 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-01-05

Priority: High Due date: 2023-01-13

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0066.X101

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-11

Test Type: ST Root cause: 因定时任务打包将手动收集的 qxdm 日志包含在内引起。

Description

【前提条件】

None

【测试步骤】

1. 设备开机后，检查/data/tlog_package/ 下的日志大小

2. 打开app勾选所有日志，点击stop

【预期结果】

2 /data/tlog_package/ 打包的压缩文件不超过10M

【实际结果】

2 /data/tlog_package/ 打包的压缩文件会根据日志抓取时间的长度超过100M

其他信息：

根据查看日志分析，有以下两个原因：

1. QXDM日志比较大，单个文件会超过100M，长时间抓取后压缩也比较大

2. 由于https://share.thundersoft.com/redmine/issues/114751 中修改tlog手动运行时，不删除manual日志，那么长时间运行后，肯定也会超

过10M

History

#1 - 2023-01-11 17:52 - CD FW 曹覃刚

- Due date set to 2023-01-13

#2 - 2023-01-11 20:22 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-11

- Root cause set to 因定时任务打包将手动收集的 qxdm 日志包含在内引起。

■ Current conclusion
https://share.thundersoft.com/redmine/issues/114751


已处理。

■ My analysis

因定时任务打包将手动收集的 qxdm 日志包含在内引起，定时任务打包不需要包含手动收集的日志，已在打包任务中排除。

■ Next action

测试验证。

#3 - 2023-01-29 11:35 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202301191306

验证结果：验证通过

默认打包的日志中将不再保存manual日志，因此大小不会超过10M

#4 - 2023-01-29 11:35 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
